﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;   // Process, ProcessStartInfo
using System.Drawing;
using System.IO;            // FileInfo
using System.Text;
using System.Windows.Forms;

namespace Example_2
{
    public partial class Main : Form
    {
        public Main()
        {
            InitializeComponent();
        }

        /// <summary>
        /// This handles the button click.
        /// </summary>
        private void btnAction_Click(object sender, EventArgs e)
        {
            if (chkCalculator.Checked)
                LaunchApp(Environment.GetEnvironmentVariable("SystemRoot") + @"\system32\calc.exe", "");
            if (chkNotepad.Checked)
                LaunchApp(Environment.GetEnvironmentVariable("SystemRoot") + @"\system32\notepad.exe", "");
        }

        /// <summary>
        /// Launches an application.
        /// </summary>
        /// <param name="path">Where this application resides.</param>
        /// <param name="arguments">Arguments to send to it.</param>
        private void LaunchApp(string path, string arguments)
        {
            FileInfo fi = new FileInfo(path);
            ProcessStartInfo psi = new ProcessStartInfo(fi.FullName, arguments);
            psi.WorkingDirectory = fi.DirectoryName;   // A lot of applications get cranky without doing this.
            Process.Start(psi);
        }
    }
}
